Traduction(s): English - Français


Ceci est la page d'accueil du paquet Debain pepperflashplugin-nonfree pour installer Pepper Flash Player, de la même manière que FlashPlayer est la page d'accueil du paquet flashplugin-nonfree

Pepper Flash Player est maintenu par Google, et est plus récent que la version pour GNU/Linux de Adobe Flash Player. Adobe continue à fournir des correctifs de sécurité pour Adobe Flash Player. Google fournit des fonctionnalités nouvelles dans Pepper Flash Player. Pepper Flash Player est actuellement uniquement utilisable avec Chromium (et avec Chrome).

C'est un paquet séparé et non intégré dans flashplugin-nonfree. Les utilisateurs peuvent choisir entre Adobe Flash Player et Pepper Flash Player en installant le paquet Debian correspondant. Les deux paquets vont coexister un certain temps, jusqu'à ce qu'Adobe arrête le support de sécurité pour Adobe Flash Player. Pepper Flash Player utilise une interface différente avec le navigateur par rapport à Adobe Flash Player, et ne fonctionne pas avec les "alternatives" (flash-mozilla.so). Quand les deux plugins sont installés sur un même système, Chromium ne voit pour l'instant que Pepper Flash Player.

Le fonctionnement du paquet Debian pour installer Pepper Flash Player est similaire à flashplugin-nonfree. La différence est que flashplugin-nonfree télécharge seulement Adobe Flash Player, alors que pour Pepper Flash Player le paquet télécharge Google Chrome, et en extrait le plugin Pepper Flash Player pour le rendre utilisable avec Chromium. À part cela, le mécanisme est le même. Une approche différente serait de simplement inclure Pepper Flash Player dans un paquet Debian. Mais la licence ne le permet pas. Une autre approche serait de mettre à jour la version du paquet Debian pour chaque mise à jour de Pepper Flash Player. Mais cela rouvrirait le débat sur comment obtenir la version à jour d'un paquet Debian de la branche stable d'une façon simple et suffisamment rapide. Car le paquet Debian devrait sortir à la fois comme mise à jour de fonctionnalités et correctif de sécurité pour chaque nouvelle version, dans la branche des logiciels à code source fermé, ce qui est assez difficile à mettre en place comme procédure Debian pour une installation rapide dans stable. C'est pourquoi nous conservons jusqu'à présent le modèle de flashplugin-nonfree pour les mêmes raisons que ce paquet est conçu de cette façon.

Pages sur le même sujet